Index: trunk/examples/extended/electromagnetic/TestEm6/GNUmakefile
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/GNUmakefile	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm6/GNUmakefile	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.13 2006/10/20 16:47:47 maire Exp $
+# $Id: GNUmakefile,v 1.14 2008/09/18 16:42:07 maire Exp $
 # --------------------------------------------------------------
 # GNUmakefile for examples module.  Gabriele Cosmo, 06/04/98.
@@ -17,15 +17,5 @@
 #### G4ANALYSIS_USE := true
 
-ifdef G4ANALYSIS_USE
-  CPPFLAGS += -DG4ANALYSIS_USE
-endif
-
 include $(G4INSTALL)/config/architecture.gmk
-
-ifdef G4ANALYSIS_USE
-  # for the aida-config command see the README file
-  CPPFLAGS += `aida-config --include`
-  LOADLIBS += `aida-config --lib`
-endif
 
 include $(G4INSTALL)/config/binmake.gmk
Index: trunk/examples/extended/electromagnetic/TestEm6/TestEm6.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/TestEm6.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm6/TestEm6.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: TestEm6.cc,v 1.15 2006/06/29 16:56:32 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/include/DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/include/DetectorConstruction.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm6/include/DetectorConstruction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorConstruction.hh,v 1.3 2006/06/29 16:56:34 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/include/DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/include/DetectorMessenger.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm6/include/DetectorMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.hh,v 1.4 2006/06/29 16:56:37 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/include/EventAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/include/EventAction.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm6/include/EventAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.hh,v 1.3 2006/06/29 16:56:40 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/include/EventActionMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/include/EventActionMessenger.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm6/include/EventActionMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.hh,v 1.3 2006/06/29 16:56:43 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/include/PhysicsList.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/include/PhysicsList.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm6/include/PhysicsList.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsList.hh,v 1.7 2006/06/29 16:56:45 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/include/PhysicsListMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/include/PhysicsListMessenger.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm6/include/PhysicsListMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.hh,v 1.5 2006/06/29 16:56:47 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/include/PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/include/PrimaryGeneratorAction.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm6/include/PrimaryGeneratorAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.hh,v 1.3 2006/06/29 16:56:49 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/include/PrimaryGeneratorMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/include/PrimaryGeneratorMessenger.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm6/include/PrimaryGeneratorMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorMessenger.hh,v 1.3 2006/06/29 16:56:52 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/include/RunAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/include/RunAction.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm6/include/RunAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: RunAction.hh,v 1.9 2006/06/29 16:56:54 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/include/SteppingAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/include/SteppingAction.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm6/include/SteppingAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingAction.hh,v 1.4 2006/06/29 16:56:56 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/include/SteppingVerbose.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/include/SteppingVerbose.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm6/include/SteppingVerbose.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingVerbose.hh,v 1.3 2006/06/29 16:56:58 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //   This class manages the verbose outputs in G4SteppingManager. 
Index: trunk/examples/extended/electromagnetic/TestEm6/src/DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/src/DetectorConstruction.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm6/src/DetectorConstruction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorConstruction.cc,v 1.10 2006/06/29 16:57:00 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/src/DetectorMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/src/DetectorMessenger.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm6/src/DetectorMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.cc,v 1.5 2006/06/29 16:57:02 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/src/EventAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/src/EventAction.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm6/src/EventAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.cc,v 1.6 2006/06/29 16:57:04 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/src/EventActionMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/src/EventActionMessenger.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm6/src/EventActionMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.cc,v 1.6 2006/06/29 16:57:07 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/src/PhysicsList.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/src/PhysicsList.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm6/src/PhysicsList.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PhysicsList.cc,v 1.12 2006/06/29 16:57:09 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: PhysicsList.cc,v 1.13 2009/05/13 17:25:33 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -190,8 +190,8 @@
       // to make the process of e+e- annihilation more visible,
       // do not enable the other standard processes:
-      // pmanager->AddProcess(new G4MultipleScattering,-1, 1,1);
-      // pmanager->AddProcess(new G4eIonisation,       -1, 2,2);
-      // pmanager->AddProcess(new G4eBremsstrahlung,   -1, 3,3);
-      // pmanager->AddProcess(new G4eplusAnnihilation,  0,-1,4);
+      pmanager->AddProcess(new G4MultipleScattering,-1, 1,1);
+      pmanager->AddProcess(new G4eIonisation,       -1, 2,2);
+      pmanager->AddProcess(new G4eBremsstrahlung,   -1, 3,3);
+      pmanager->AddProcess(new G4eplusAnnihilation,  0,-1,4);
       
       theAnnihiToMuPairProcess = new G4AnnihiToMuPair();
@@ -230,4 +230,8 @@
   G4EmProcessOptions opt;
   opt.SetVerbose(1);
+  opt.SetMinEnergy(100*eV);       
+  opt.SetMaxEnergy(1000*TeV);      
+  opt.SetDEDXBinning(13*7);      
+  opt.SetLambdaBinning(13*7);    
 }
 
Index: trunk/examples/extended/electromagnetic/TestEm6/src/PhysicsListMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/src/PhysicsListMessenger.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm6/src/PhysicsListMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.cc,v 1.8 2006/06/29 16:57:11 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/src/PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/src/PrimaryGeneratorAction.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm6/src/PrimaryGeneratorAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.cc,v 1.3 2006/06/29 16:57:14 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/src/PrimaryGeneratorMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/src/PrimaryGeneratorMessenger.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm6/src/PrimaryGeneratorMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorMessenger.cc,v 1.5 2006/06/29 16:57:17 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/src/RunAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/src/RunAction.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm6/src/RunAction.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: RunAction.cc,v 1.12 2006/06/29 16:57:20 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: RunAction.cc,v 1.13 2008/09/18 16:42:07 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -59,7 +59,7 @@
    G4bool readOnly  = false;
    G4bool createNew = true;
-   G4String options = "--noErrors uncompress";
-   tree = tf->create("testem6.hbook","hbook",readOnly,createNew,options);
-   //tree = tf->create("testem6.root", "root",readOnly,createNew,options);
+   G4String options = "--noErrors export=root uncompress";
+   //tree = tf->create("testem6.hbook","hbook",readOnly,createNew,options);
+   tree = tf->create("testem6.root", "root",readOnly,createNew,options);
    //tree = tf->create("testem6.XML" ,"XML"  ,readOnly,createNew,options);
    delete tf;
Index: trunk/examples/extended/electromagnetic/TestEm6/src/SteppingAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/src/SteppingAction.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm6/src/SteppingAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingAction.cc,v 1.9 2006/06/29 16:57:23 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/src/SteppingVerbose.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/src/SteppingVerbose.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm6/src/SteppingVerbose.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingVerbose.cc,v 1.5 2006/06/29 16:57:25 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
